#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "basic_io.h"

void setup_block(unsigned char * buffer, int block_number){

	int i, rec_id;
	unsigned char * ptr;

	for(i = 0; i < RECORDS_PER_BLOCK; i++){

		rec_id = (block_number * RECORDS_PER_BLOCK) + i;

		ptr = buffer + (i * RECORD_SIZE);
	
		((int *) ptr)[0] = rec_id;
		
		ptr += sizeof(int);

		sprintf((char *)ptr, "registro %d, posicao %d, bloco %d", rec_id, i, block_number);
	}
}

int main(int argc, char ** argv){

	int i;

	File * out = open_for_write(argv[1]);

	unsigned char * buffer = alloc_alligned_buffer(BLOCK_SIZE);

	for(i = 0; i < BLOCK_SIZE; i++) buffer[i] = 0xFF;

	for(i = 0; i < N_BLOCKS; i++){

		setup_block(buffer, i);
		write_bytes(out, buffer, BLOCK_SIZE);
	}

	close_file(out);

	return 0;
}
